%define name      util-linux
%define ver       2.10s
%define rel       4
%define prefix    /usr
Serial: 2002080201

Summary: A collection of basic system utilities.
Name: %{name}
Version: %{ver}
Release: %{rel}
Group: System Environment/Base
Copyright: distributable
Source0: ftp://ftp.kernel.org/mirrors/linux/utils/%{name}/%{name}-%{version}.tar.bz2
#NoSource: 0
Source1: %{name}-2.10-login.pamd
Source2: %{name}-2.10-chfn.pamd
Source3: %{name}-2.10-chsh.pamd
Source4: %{name}-2.9w-kbdrate.pamd
Source5: %{name}-2.9w-kbdrate.apps

Patch0: %{name}-2.10o-tlconfig.patch
Patch1: %{name}-2.10e-nochkdupexe.patch
Patch6: %{name}-2.9i-fdiskwarning.patch
Patch11: %{name}-2.9o-btmp.patch
Patch13: %{name}-2.10m-openlog.patch
Patch21: %{name}-2.9v-nonroot.patch
Patch23: %{name}-2.9w-kbdrate.patch
Patch28: %{name}-2.10m-sparcraid.patch
Patch31: %{name}-2.10m-overflow.patch
Patch32: %{name}-2.10k-glibc.patch
Patch35: %{name}-2.10m-loginpath.patch
Patch36: %{name}-2.10m-dict.patch
Patch37: %{name}-2.10m-alphahack.patch
Patch38: %{name}-2.10o-more-curses.patch
Patch39: %{name}-2.10r-umount_msg.patch
Patch40: %{name}-2.10r-s390.patch
Patch41: %{name}-2.10s-keypad.patch
Patch42: %{name}-2.11n-setpwrace.patch

BuildRoot: %{_tmppath}/%{name}-%{ver}-root
BuildRequires: sed fileutils

Obsoletes: fdisk tunelp mount losetup
%ifarch s390
Provides: tunelp mount losetup
%else
Provides: fdisk tunelp mount losetup
%endif

%ifarch sparc alpha
Obsoletes: clock
%endif
%ifarch alpha
Conflicts: initscripts <= 4.58, timeconfig <= 3.0.1
%endif
Requires: pam >= 0.72-6, kernel >= 2.2.13, dev

%description
The util-linux package contains a large variety of low-level system
utilities that are necessary for a Linux system to function.  Among
many features, Util-linux contains the fdisk configuration tool and
the login program.

%prep

%setup -q

%patch0 -p1 -b .tlconfig
%patch1 -p1 -b .nochkdupexe

%patch6 -p1 -b .fdiskwarning
%patch11 -p1 -b .btmp
%patch13 -p1 -b .openlog
%patch21 -p1 -b .nonroot
%patch23 -p1 -b .kbdrate

%patch28 -p1 -b .sparcraid

%patch31 -p1 -b .overflow

%patch32 -p1 -b .nonx86

%patch35 -p1 -b .loginpath
%patch36 -p1 -b .dict
%patch37 -p1 -b .alpha_mount

%patch39 -p1 -b .umount_msg

%ifarch s390
%patch40 -p1
%endif

%patch41 -p1 -b .keypad

%patch42 -p1 -b .setpwrace

%build
unset LINGUAS || :
./configure
sed -e "s|-lncurses|/usr/lib/libncurses.a|" make_include > make_include.$$
mv -f make_include.$$ make_include
%ifarch alpha
echo "HAVE_GOOD_RPC=no" >> make_include
echo "HAVE_PIVOT_ROOT=no" >> make_include
%endif
make "RPM_OPT_FLAGS=$RPM_OPT_FLAGS" 
cd rescuept
gcc $RPM_OPT_FLAGS -o rescuept rescuept.c
cd ..


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/bin
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT%{_infodir}
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man5
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man6
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/cs/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/de/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/fr/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/it/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/ja/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/nl/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/pt_BR/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/etc/security/console.apps

make DESTDIR=$RPM_BUILD_ROOT \
     MANDIR=$RPM_BUILD_ROOT%{_mandir} \
     INFODIR=$RPM_BUILD_ROOT%{_infodir} \
     install
install -m 755 rescuept/rescuept ${RPM_BUILD_ROOT}/sbin

%ifarch sparc
rm -rf $RPM_BUILD_ROOT/usr/bin/sunhostid
cat << E-O-F > $RPM_BUILD_ROOT/usr/bin/sunhostid
#!/bin/sh
# this should be /usr/bin/sunhostid or somesuch.
# Copyright 1999 Peter Jones, <pjones@redhat.com> .  
# GPL and all that good stuff apply.
(
idprom=\`cat /proc/openprom/idprom\`
echo \$idprom|dd bs=1 skip=2 count=2
echo \$idprom|dd bs=1 skip=27 count=6
echo
) 2>/dev/null
E-O-F
chmod 755 $RPM_BUILD_ROOT/usr/bin/sunhostid
%endif

gzip -9nf $RPM_BUILD_ROOT%{_infodir}/ipc.info

for i in /bin/login /usr/bin/chfn /usr/bin/chsh /usr/bin/newgrp ; do
	strip $RPM_BUILD_ROOT/$i
done

strip $RPM_BUILD_ROOT/sbin/fdisk || :

install -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}/etc/pam.d/login
install -m 644 %{SOURCE2} ${RPM_BUILD_ROOT}/etc/pam.d/chfn
install -m 644 %{SOURCE3} ${RPM_BUILD_ROOT}/etc/pam.d/chsh
install -m 644 %{SOURCE4} ${RPM_BUILD_ROOT}/etc/pam.d/kbdrate
install -m 644 %{SOURCE5} ${RPM_BUILD_ROOT}/etc/security/console.apps/kbdrate

ln -sf consolehelper ${RPM_BUILD_ROOT}/usr/bin/kbdrate

%ifnarch s390
rm -f $RPM_BUILD_ROOT/sbin/clock
ln -s hwclock $RPM_BUILD_ROOT/sbin/clock
%endif

# We do not want dependencies on csh
chmod 644 $RPM_BUILD_ROOT/usr/lib/getopt/*

# This has dependencies on stuff in /usr
%ifnarch sparc sparc64 sparcv9 s390
mv ${RPM_BUILD_ROOT}/sbin/cfdisk ${RPM_BUILD_ROOT}/usr/sbin
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/share/locale/*/LC_MESSAGES/*

%ifnarch s390
/sbin/clock
/sbin/hwclock
%{_mandir}/man8/hwclock.8*
%endif

/usr/sbin/tunelp
%{_mandir}/man8/tunelp.8*

%config /etc/pam.d/login
%config /etc/pam.d/chfn
%config /etc/pam.d/chsh

%config /etc/pam.d/kbdrate
%config /etc/security/console.apps/kbdrate
/usr/bin/kbdrate

%ifnarch s390
/sbin/fdisk
%endif
/sbin/rescuept
%ifarch i386 i586 i686 alpha armv4l ppc
/usr/sbin/cfdisk
%endif

%ifarch i386 i586 i686 alpha ia64 s390 ppc
/sbin/fsck.minix
/sbin/mkfs.minix
%endif

%ifnarch s390
/usr/bin/raw
%{_mandir}/man8/raw.8*
%endif

/sbin/mkfs
/sbin/mkswap

/usr/bin/fdformat
#/usr/bin/setfdprm
%config /etc/fdprm

%{_mandir}/man8/fdformat.8*
%{_mandir}/man8/mkswap.8*
#%{_mandir}/man8/setfdprm.8*

/usr/games/banner
%{_mandir}/man6/banner.6*

/usr/bin/ddate
%{_mandir}/man1/ddate.1*

%ifarch i386 i586 i686 alpha sparc s390 ppc
%attr(755,root,root)	/bin/login
%attr(4711,root,root)	/usr/bin/chfn
%attr(4711,root,root)	/usr/bin/chsh
%attr(4711,root,root)	/usr/bin/newgrp
/usr/sbin/vipw
/usr/sbin/vigr
%{_mandir}/man1/chfn.1*
%{_mandir}/man1/chsh.1*
%{_mandir}/man1/login.1*
%{_mandir}/man1/newgrp.1*
%{_mandir}/man8/vipw.8*
%{_mandir}/man8/vigr.8*
%endif

/bin/kill
/usr/bin/cal
%ifarch sparc
/usr/bin/sunhostid
%endif
/usr/bin/logger
/usr/bin/look
/usr/bin/mcookie
/usr/bin/namei
/usr/bin/script
/usr/bin/setterm
#/usr/bin/tsort
/usr/bin/whereis
%attr(2755,root,tty)	/usr/bin/write
/usr/bin/getopt
%{_mandir}/man1/cal.1*
#%{_mandir}/man1/hostid.1*
%{_mandir}/man1/kill.1*
%{_mandir}/man1/logger.1*
%{_mandir}/man1/look.1*
%{_mandir}/man1/mcookie.1*
%{_mandir}/man1/namei.1*
%{_mandir}/man1/script.1*
%{_mandir}/man1/setterm.1*
#%{_mandir}/man1/tsort.1*
%{_mandir}/man1/whereis.1*
%{_mandir}/man1/write.1*
%{_mandir}/man1/getopt.1*

/usr/lib/getopt

/bin/dmesg

/sbin/ctrlaltdel
/sbin/kbdrate
#/sbin/sln
/bin/arch
/usr/bin/ipcrm
/usr/bin/ipcs
/usr/bin/renice
/usr/sbin/readprofile
/usr/bin/setsid
%ifarch i386 i586 i686 alpha armv4l ppc
/usr/bin/cytune
%endif

%{_mandir}/man1/arch.1*
%{_mandir}/man1/readprofile.1*
%ifnarch sparc sparc64 sparcv9
%{_mandir}/man8/cytune.8*
%endif
%{_mandir}/man8/ctrlaltdel.8*
%{_mandir}/man8/dmesg.8*
%{_mandir}/man8/ipcrm.8*
%{_mandir}/man8/ipcs.8*
%{_mandir}/man8/kbdrate.8*
%{_mandir}/man8/renice.8*
%{_mandir}/man8/setsid.8*

%ifarch i386 i586 i686
/usr/sbin/rdev
/usr/sbin/ramsize
/usr/sbin/rootflags
/usr/sbin/swapdev
/usr/sbin/vidmode
%{_mandir}/man8/rdev.8*
%{_mandir}/man8/ramsize.8*
%{_mandir}/man8/rootflags.8*
%{_mandir}/man8/swapdev.8*
%{_mandir}/man8/vidmode.8*
%endif

%{_infodir}/ipc.info.gz

/usr/bin/col
/usr/bin/colcrt
/usr/bin/colrm
/usr/bin/column
/usr/bin/hexdump
/usr/bin/rename
/usr/bin/rev
/usr/bin/ul

%{_mandir}/man1/col.1*
%{_mandir}/man1/colcrt.1*
%{_mandir}/man1/colrm.1*
%{_mandir}/man1/column.1*
%{_mandir}/man1/hexdump.1*
%{_mandir}/man1/rename.1*
%{_mandir}/man1/rev.1*
%{_mandir}/man1/ul.1*

/bin/more
%{_mandir}/man1/more.1*
/usr/lib/more.help

%ifarch i386 i586 i686 alpha s390 ppc
%{_mandir}/man8/fsck.minix.8*
%{_mandir}/man8/mkfs.minix.8*
%{_mandir}/man8/mkfs.8*
%endif

%ifnarch s390
%{_mandir}/man8/fdisk.8*
%endif

%ifarch i386 alpha armv4l ppc
%{_mandir}/man8/cfdisk.8*
%endif

# mount stuffs
/bin/mount
/bin/umount
/sbin/losetup
/sbin/swapoff
/sbin/swapon
%{_mandir}/man5/fstab.5*
%{_mandir}/man5/nfs.5*
%{_mandir}/man8/mount.8*
%{_mandir}/man8/swapoff.8*
%{_mandir}/man8/swapon.8*
%{_mandir}/man8/umount.8*
%{_mandir}/man8/losetup.8*

%doc */README.*

#%ifarch i386 alpha
#/sbin/sfdisk
#/usr/share/man/man8/sfdisk.8*
#%doc fdisk/sfdisk.examples
#%endif

%changelog
* Fri Aug 02 2002 Tatsuo Ito <tito@miraclelinux.com>
- Fix setpwnam race

* Wed Feb 21 2001 Go Taniguchi <go@turbolinux.co.jp>
- remove mount-tcp mount-compat mount-rpc patch

* Tue Feb 20 2001 Maxime Froment <maxime@turbolinux.co.jp>
- cfdisk patched to use keypad, so the arrow keys work on more terms

* Fri Feb 2 2001 Go Taniguchi <go@turbolinux.co.jp>
- update 2.10s

* Tue Jan 15 2001 Roger Luethi <rluethi@turbolinux.com>
- 2.10r-5: added util-linux-2.10r-s390.patch back

* Thu Jan 4 2001 Go Taniguchi <go@turbolinux.co.jp>
- added mount-tcp mount-compat mount-rpc patch from nfs.sourceforge.net for 2.2.18 and 2.4 kernel

* Fri Dec 29 2000 Roger Luethi <rluethi@turbolinux.com>
- 2.10r-3
- added util-linux-2.10r-s390.patch (ADD_RAW=no, don't build fdisk/clock)
- some %ifarches for S/390

* Thu Dec 21 2000 Kiichiro Kyle Naka <knaka@turbolinux.co.jp>
- 2.10r-2
- fixed ja.po message

* Wed Dec 13 2000 Go Taniguchi <go@turbolinux.co.jp>
- update to version 2.10r
- remove more vi path patch, It's work.
- more, static linked libncurses for FHS

* Tue Dec 12 2000 SL Baur  <steve@turbolinux.co.jp>
- update to version 2.10q

* Sun Dec  3 2000 Kazutomo Yoshii <kazutomo@turbolinux.co.jp>
- added Provides line

* Sat Aug 19 2000 Go Taniguchi <go@turbolinux.co.jp>
- useing /etc/pam.d/system-auth
- remove setfdprm, fdutils includes this.

* Wed Aug 16 2000 Go Taniguchi <go@turbolinux.co.jp>
- updte 2.10o

* Fri Aug  4 2000 SL Baur  <steve@turbolinux.co.jp>
- make sure losetup is built and installed

* Wed Jun 28 2000 SL Baur  <steve@turbolinux.co.jp>
- move mount back into this package
- Update to version 2.10m

* Mon Apr 10 2000 Hirofumi Takeda <takepin@turbolinux.co.jp>
- sfdisk divided to sfdisk package

* Wed Mar 29 2000 Hirofumi Takeda <takepin@turbolinux.co.jp>
- using libncurses instead of libtermcap

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Sat Mar  4 2000 Matt Wilson <msw@redhat.com>
- use snprintf - not sprintf - when doing
  sprintf ("%s\n", _("Some string")) to avoid overflows and
  segfaults.

* Mon Feb 21 2000 Jeff Johnson <jbj@redhat.com>
- raw control file was /dev/raw, now /dev/rawctl.
- raw access files were /dev/raw*, now /dev/raw/raw*.

* Thu Feb 17 2000 Erik Troan <ewt@redhat.com>
- -v argument to mkswap wasn't working

* Thu Feb 10 2000 Jakub Jelinek <jakub@redhat.com>
- Recognize 0xfd on Sun disklabels as RAID

* Tue Feb  8 2000 Bill Nottingham <notting@redhat.com>
- more lives in /bin, and was linked against /usr/lib/libnurses. Bad.

* Thu Feb 03 2000 Jakub Jelinek <jakub@redhat.com>
- update to 2.10f
- fix issues in the new realpath code, avoid leaking memory

* Tue Feb 01 2000 Cristian Gafton <gafton@redhat.com>
- rebuild to fix dependencies
- add NFSv3 patches

* Fri Jan 28 2000 Bill Nottingham <notting@redhat.com>
- don't require csh

* Mon Jan 24 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.10e
- add rename

* Thu Jan 20 2000 Jeff Johnson <jbj@redhat.com>
- strip newlines in logger input.

* Mon Jan 10 2000 Jeff Johnson <jbj@redhat.com>
- rebuild with correct ncurses libs.

* Tue Dec  7 1999 Matt Wilson <msw@redhat.com>
- updated to util-linux 2.10c
- deprecated IMAP login mail notification patch17
- deprecated raw patch22
- depricated readprofile patch24

* Tue Dec  7 1999 Bill Nottingham <notting@redhat.com>
- add patch for readprofile

* Thu Nov 18 1999 Michael K. Johnson <johnsonm@redhat.com>
- tunelp should come from util-linux

* Tue Nov  9 1999 Jakub Jelinek <jakub@redhat.com>
- kbdrate cannot use /dev/port on sparc.

* Wed Nov  3 1999 Jakub Jelinek <jakub@redhat.com>
- fix kbdrate on sparc.

* Wed Oct 27 1999 Bill Nottingham <notting@redhat.com>
- ship hwclock on alpha.

* Tue Oct  5 1999 Bill Nottingham <notting@redhat.com>
- don't ship symlinks to rdev if we don't ship rdev.

* Tue Sep 07 1999 Cristian Gafton <gafton@redhat.com>
- add rawIO support from sct

* Mon Aug 30 1999 Preston Brown <pbrown@redhat.com>
- don't display "new mail" message when the only piece of mail is from IMAP

* Fri Aug 27 1999 Michael K. Johnson <johnsonm@redhat.com>
- kbdrate is now a console program

* Thu Aug 26 1999 Jeff Johnson <jbj@redhat.com>
- hostid is now in sh-utils. On sparc, install hostid as sunhostid (#4581).
- update to 2.9w:
-  Updated mount.8 (Yann Droneaud)
-  Improved makefiles
-  Fixed flaw in fdisk

* Tue Aug 10 1999 Jeff Johnson <jbj@redhat.com>
- tsort is now in textutils.

* Wed Aug  4 1999 Bill Nottingham <notting@redhat.com>
- turn off setuid bit on login. Again. :(

* Tue Aug  3 1999 Peter Jones, <pjones@redhat.com>
- hostid script for sparc (#3803).

* Tue Aug 03 1999 Christian 'Dr. Disk' Hechelmann <drdisk@tc-gruppe.de>
- added locale message catalogs to %file
- added patch for non-root build
- vigr.8 and /usr/lib/getopt  man-page was missing from file list
- /etc/fdprm really is a config file

* Fri Jul 23 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.9v:
-   cfdisk no longer believes the kernel's HDGETGEO
    (and may be able to partition a 2 TB disk)

* Fri Jul 16 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.9u:
-   Czech more.help and messages (Ji Pavlovsk)
-   Japanese messages (Daisuke Yamashita)
-   fdisk fix (Klaus G. Wagner)
-   mount fix (Hirokazu Takahashi)
-   agetty: enable hardware flow control (Thorsten Kranzkowski)
-   minor cfdisk improvements
-   fdisk no longer accepts a default device
-   Makefile fix

* Tue Jul  6 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.9t:
-   national language support for hwclock
-   Japanese messages (both by Daisuke Yamashita)
-   German messages and some misc i18n fixes (Elrond)
-   Czech messages (Ji Pavlovsk)
-   wall fixed for /dev/pts/xx ttys
-   make last and wall use getutent() (Sascha Schumann)
    [Maybe this is bad: last reading all of wtmp may be too slow.
     Revert in case people complain.]
-   documented UUID= and LABEL= in fstab.5
-   added some partition types
-   swapon: warn only if verbose

* Fri Jun 25 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.9s.

* Sat May 29 1999 Jeff Johnson <jbj@redhat.com>
- fix mkswap sets incorrect bits on sparc64 (#3140).

* Thu Apr 15 1999 Jeff Johnson <jbj@redhat.com>
- on sparc64 random ioctls on clock interface cause kernel messages.

* Thu Apr 15 1999 Jeff Johnson <jbj@redhat.com>
- improved raid patch (H.J. Lu).

* Wed Apr 14 1999 Michael K. Johnson <johnsonm@redhat.com>
- added patch for smartraid controllers

* Sat Apr 10 1999 Cristian Gafton <gafton@redhat.com>
- fix logging problems caused by setproctitle and PAM interaction
  (#2045)

* Wed Mar 31 1999 Jeff Johnson <jbj@redhat.com>
- include docs and examples for sfdisk (#1164)

* Mon Mar 29 1999 Matt Wilson <msw@redhat.com>
- rtc is not working properly on alpha, we can't use hwclock yet.

* Fri Mar 26 1999 Cristian Gafton <gafton@redhat.com>
- add patch to make mkswap more 64 bit friendly... Patch from
  eranian@hpl.hp.com (ahem!)

* Thu Mar 25 1999 Jeff Johnson <jbj@redhat.com>
- include sfdisk (#1164)
- fix write (#1784)
- use positive logic in spec file (%ifarch rather than %ifnarch).
- (re)-use 1st matching utmp slot if search by mypid not found.
- update to 2.9o
- lastb wants bad logins in wtmp clone /var/run/btmp (#884)

* Thu Mar 25 1999 Jakub Jelinek <jj@ultra.linux.cz>
- if hwclock is to be compiled on sparc,
  it must actually work. Also, it should obsolete
  clock, otherwise it clashes.
- limit the swap size in mkswap for 2.2.1+ kernels
  by the actual maximum size kernel can handle.
- fix kbdrate on sparc, patch by J. S. Connell
  <ankh@canuck.gen.nz>

* Wed Mar 24 1999 Matt Wilson <msw@redhat.com>
- added pam_console back into pam.d/login

* Tue Mar 23 1999 Matt Wilson <msw@redhat.com>
- updated to 2.9i
- added hwclock for sparcs and alpha

* Mon Mar 22 1999 Erik Troan <ewt@redhat.com>
- added vigr to file list

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 12)

* Thu Mar 18 1999 Cristian Gafton <gafton@redhat.com>
- remove most of the ifnarch arm stuff

* Mon Mar 15 1999 Michael Johnson <johnsonm@redhat.com>
- added pam_console.so to /etc/pam.d/login

* Thu Feb  4 1999 Michael K. Johnson <johnsonm@redhat.com>
- .perms patch to login to make it retain root in parent process
  for pam_close_session to work correctly

* Tue Jan 12 1999 Jeff Johnson <jbj@redhat.com>
- strip fdisk in buildroot correctly (#718)

* Mon Jan 11 1999 Cristian Gafton <gafton@redhat.com>
- have fdisk compiled on sparc and arm

* Mon Jan 11 1999 Erik Troan <ewt@redhat.com>
- added beos partition type to fdisk

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- incorporate fdisk on all arches

* Sat Dec  5 1998 Jeff Johnson <jbj@redhat.com>
- restore PAM functionality at end of login (Bug #201)

* Thu Dec 03 1998 Cristian Gafton <gafton@redhat.com>
- patch top build on the arm without PAM and related utilities, for now.
- build hwclock only on intel

* Wed Nov 18 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to version 2.9

* Thu Oct 29 1998 Bill Nottingham <notting@redhat.com>
- build for Raw Hide (slang-1.2.2)
- patch kbdrate wackiness so it builds with egcs

* Tue Oct 13 1998 Erik Troan <ewt@redhat.com>
- patched more to use termcap

* Mon Oct 12 1998 Erik Troan <ewt@redhat.com>
- added warning about alpha/bsd label starting cylinder

* Mon Sep 21 1998 Erik Troan <ewt@redhat.com>
- use sigsetjmp/siglongjmp in more rather then sig'less versions

* Fri Sep 11 1998 Jeff Johnson <jbj@redhat.com>
- explicit attrs for setuid/setgid programs

* Thu Aug 27 1998 Cristian Gafton <gafton@redhat.com>
- sln is now included in glibc

* Sun Aug 23 1998 Jeff Johnson <jbj@redhat.com>
- add cbm1581 floppy definitions (problem #787)

* Mon Jun 29 1998 Jeff Johnson <jbj@redhat.com>
- remove /etc/nologin at end of shutdown/halt.

* Fri Jun 19 1998 Jeff Johnson <jbj@redhat.com>
- add mount/losetup.

* Thu Jun 18 1998 Jeff Johnson <jbj@redhat.com>
- update to 2.8 with 2.8b clean up. hostid now defunct?

* Mon Jun 01 1998 David S. Miller <davem@dm.cobaltmicro.com>
- "more" now works properly on sparc

* Sat May 02 1998 Jeff Johnson <jbj@redhat.com>
- Fix "fdisk -l" fault on mounted cdrom. (prob #513)

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- manhattan rebuild

* Mon Dec 29 1997 Erik Troan <ewt@redhat.com>
- more didn't suspend properly on glibc
- use proper tc*() calls rather then ioctl's

* Sun Dec 21 1997 Cristian Gafton <gafton@redhat.com>
- fixed a security problem in chfn and chsh accepting too 
  long gecos fields

* Fri Dec 19 1997 Mike Wangsmo <wanger@redhat.com>
- removed "." from default path

* Tue Dec 02 1997 Cristian Gafton <gafton@redhat.com>
- added (again) the vipw patch

* Wed Oct 22 1997 Michael Fulbright <msf@redhat.com>
- minor cleanups for glibc 2.1

* Fri Oct 17 1997 Michael Fulbright <msf@redhat.com>
- added vfat32 filesystem type to list recognized by fdisk

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- don't build clock on the alpha 
- don't install chkdupexe

* Thu Oct 02 1997 Michael K. Johnson <johnsonm@redhat.com>
- Update to new pam standard.
- BuildRoot.

* Thu Sep 25 1997 Cristian Gafton <gafton@redhat.com>
- added rootok and setproctitle patches
- updated pam config files for chfn and chsh

* Tue Sep 02 1997 Erik Troan <ewt@redhat.com>
- updated MCONFIG to automatically determine the architecture
- added glibc header hacks to fdisk code
- rdev is only available on the intel

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- update to util-linux 2.7, fixed login problems

* Wed Jun 25 1997 Erik Troan <ewt@redhat.com>
- Merged Red Hat changes into main util-linux source, updated package to
  development util-linux (nearly 2.7).

* Tue Apr 22 1997 Michael K. Johnson <johnsonm@redhat.com>
- LOG_AUTH --> LOG_AUTHPRIV in login and shutdown

* Mon Mar 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- Moved to new pam and from pam.conf to pam.d

* Tue Feb 25 1997 Michael K. Johnson <johnsonm@redhat.com>
- pam.patch differentiated between different kinds of bad logins.
  In particular, "user does not exist" and "bad password" were treated
  differently.  This was a minor security hole.
